# dev.nix
{ pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    rustc
    cargo
    pkg-config
    libxkbcommon
    xorg.libxcb
    xclip
    cmake
    gcc
    openssl
    pkg-config
  ];
  # Set the PKG_CONFIG_PATH and OPENSSL_DIR for the environment
  environment.variables = {
    PKG_CONFIG_PATH = "${pkgs.openssl.dev}/lib/pkgconfig";
    OPENSSL_DIR = "${pkgs.openssl.dev}";
  };
}

